﻿
@{ 
    ViewData["Title"] = "Affichage Festival";
    Festival festivalDeOrgaConnecte = ((Festival)ViewData["festivalDeOrgaConnecte"]); //On récupére le festival associé à l'organisateur, qu'on avait stocké dans un ViewData
     int NombresDePlacesRestants = (int)ViewData["NombresDePlacesRestants"];
    int NombresInscrits = (int)ViewData["NombresInscrits"];
     
}

    <div class="row">
        <div class="col-md-6">
            <img src="@festivalDeOrgaConnecte.UrlLogo" class="img-fluid" />
            <h3>@festivalDeOrgaConnecte.Nom</h3>
            <!-- Pour le format de date, voir https://docs.microsoft.com/en-us/dotnet/standard/base-types/custom-date-and-time-format-strings?view=netcore-3.1 -->
            <em>@festivalDeOrgaConnecte.Lieu | @festivalDeOrgaConnecte.DateDeDebut.ToString("d MMMMM yyyy") - @festivalDeOrgaConnecte.DateDeFin.ToString("d MMMMM yyyy")</em>
            <p>@festivalDeOrgaConnecte.Description</p>
            <p>Nombre de places du festival : @festivalDeOrgaConnecte.NombreDePlaces</p>
            <p>Nombre de places vendu : @NombresInscrits</p>
            <p>Nombre de places restant:  @NombresDePlacesRestants</p>

            <hr />
            <!-- A Rajouter :
        - Les infos restantes du festivals
        - Le nombre de places vendues
        -->
        </div>


        <form action="GererLeFestival" method="post">

            @if (@festivalDeOrgaConnecte.PublieOuNon == false)
            {
                <button type="submit" name="publier" value="publier" class="btn btn-light">Publier</button>

                <p>"Vous n'avez pas encore publier votre festival,vous pouvez le faire en cliquant sur PUBLIER" </p>

            }

            @if (@festivalDeOrgaConnecte.PublieOuNon == true)
            {

                <button type="submit" class="boutondeplacer" name="depublier" value="depublier" class="btn btn-dark">Dépublier</button>
            }


        </form>




        @if (@festivalDeOrgaConnecte.PublieOuNon == true)
        {
            /*<p> Votre inscription étant publier, vous pouvez maintenant gérer les inscriptions.</p>
            <a asp-action="GererLesInscriptions"> Gérer les inscriptions</a>*/

            <p> Votre festival étant publié, vous pouvez maintenant gérer les inscriptions.</p>
            <a data-toggle="collapse" href="#collapseGererLesInscriptions" class="col-md-3">
                Gérer Vos inscriptions !
            </a>
            <div class="collapse card bg-light col-md-8" id="collapseGererLesInscriptions">
                <form action="GererLesInscriptions" method="post">
                    @if (@festivalDeOrgaConnecte.InscriptionsOuvertesOuNOn == false)
                    {
                        <p> Vous pouvez ouvrir les inscriptions pour ce festival.</p>
                        <button type="submit" class="btn btn-dark">J'ouvre les inscriptions</button>
                    }
                    @if (@festivalDeOrgaConnecte.InscriptionsOuvertesOuNOn == true)
                    {
                        <p> Vous pouvez fermer les inscriptions pour ce festival.</p>
                        <button type="submit" class="btn btn-dark">Je ferme les inscriptions</button>
                    }
                </form>
            </div>
        }
    <p> Vous souhaitez valider ou invalider des festivaliers de votre festival?<a asp-action="ValidationFestivalier"> Je valide/invalide des festivaliers </a></p>
        

    </div>

